Subject: bug#26235: core-updates: update libreoffice to 5.3.1.2

From: Marius Bakke <[email-masked]>
Date: Sun, 26 Mar 2017 08:11:53 +0200

Thomas Danckaert <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Have you tried building this on 'master'? It could be pushed there if
>> it works with the current ICU as well.
>
> I just tried, and it works (with just some basic testing, though) if I
> add a
>
>   (setenv "CXXFLAGS" "-Wno-error=shadow")
>
> in the libzmf package.  Otherwise I get a compilation error.  This is
> not required in core-updates, so my guess is that it's a spurious
> warning in gcc-4.9 which was fixed since?
>
> Is it worth doing this?  core-updates will be merged any day now, rite?
> :0) If we do apply this on master, we should try to remember to remove
> this flag when it's merged with core-updates.

Thanks for checking. I don't think it's worth the hassle in that case.
Let's get this in 'core-updates' and fix the remaining red dots :-)

https://hydra.gnu.org/eval/109561?full=1&compare=master#tabs-now-fail

(You can close this bug by CCing 26235-done@ after pushing. Thanks!)